- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_transaction_opt_t

# mongoc_transaction_opts_set_write_concern()

## Synopsis

    void
    mongoc_transaction_opts_set_write_concern (mongoc_transaction_opt_t *opts,
                                               const mongoc_write_concern_t *write_concern);

Configure the transaction’s write concern. The argument is copied into the struct and can be freed after calling this function.

## Parameters

- `opts`: A mongoc_transaction_opt_t.
- `write_concern`: A mongoc_write_concern_t.

### See Also:

mongoc_client_session_abort_transaction

mongoc_client_session_advance_cluster_time

mongoc_client_session_advance_operation_time

mongoc_client_session_commit_transaction

mongoc_client_session_destroy

mongoc_client_session_get_client

mongoc_client_session_get_cluster_time

mongoc_client_session_get_lsid

mongoc_client_session_get_operation_time

mongoc_client_session_get_opts

mongoc_client_session_start_transaction

mongoc_client_session_t

mongoc_client_start_session

mongoc_session_opts_clone

mongoc_session_opts_destroy

mongoc_session_opts_get_causal_consistency

mongoc_session_opts_get_default_transaction_opts

mongoc_session_opts_new

mongoc_session_opts_set_causal_consistency

mongoc_session_opts_set_default_transaction_opts

mongoc_transaction_opts_clone

mongoc_transaction_opts_destroy

mongoc_transaction_opts_get_read_concern

mongoc_transaction_opts_get_read_prefs

mongoc_transaction_opts_get_write_concern

mongoc_transaction_opts_new

mongoc_transaction_opts_set_read_concern

mongoc_transaction_opts_set_read_prefs

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.